(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    101055,       2126]
NotebookOptionsPosition[     96976,       2050]
NotebookOutlinePosition[     97403,       2067]
CellTagsIndexPosition[     97360,       2064]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Two channel P\[ODoubleDot]schl Teller complex scaled", "Title",
 CellChangeTimes->{{3.83991188125451*^9, 
  3.83991189619827*^9}},ExpressionUUID->"168ab099-da10-4ede-a5da-\
2f082466b574"],

Cell["Niels Walet, September 2021", "Subtitle",
 CellChangeTimes->{{3.839911899958685*^9, 
  3.839911910202653*^9}},ExpressionUUID->"95e8499d-973c-46dd-859d-\
3bfa69aa8e07"],

Cell[CellGroupData[{

Cell["Harmonic oscillator basis", "Section",
 CellChangeTimes->{{3.8273063790543203`*^9, 
  3.8273063931019773`*^9}},ExpressionUUID->"8e81c612-c136-4c4b-b0d7-\
b730fa7a38f7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"n_", ",", "x_", ",", 
    RowBox[{"b_", ":", "1"}]}], "]"}], "=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{
     SuperscriptBox["\[Pi]", 
      RowBox[{"1", "/", "4"}]], 
     SqrtBox[
      RowBox[{"b", " ", 
       SuperscriptBox["2", "n"], 
       RowBox[{"n", "!"}]}]]}]], 
   RowBox[{"HermiteH", "[", 
    RowBox[{"n", ",", 
     RowBox[{"x", "/", "b"}]}], "]"}], " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["x", "2"]}], "/", 
      SuperscriptBox["b", "2"]}], "/", "2"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.827206662004548*^9, 3.8272067303962*^9}, {
  3.8272068588445873`*^9, 3.827206904010157*^9}, {3.827206960754965*^9, 
  3.827206960922327*^9}, {3.827230064398238*^9, 3.827230093969673*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"2236accd-f04b-435a-b0be-1260b4af2428"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"-", 
     FractionBox[
      SuperscriptBox["x", "2"], 
      RowBox[{"2", " ", 
       SuperscriptBox["b", "2"]}]]}]], " ", 
   RowBox[{"HermiteH", "[", 
    RowBox[{"n", ",", 
     FractionBox["x", "b"]}], "]"}]}], 
  RowBox[{
   SuperscriptBox["\[Pi]", 
    RowBox[{"1", "/", "4"}]], " ", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["2", "n"], " ", "b", " ", 
     RowBox[{"n", "!"}]}]]}]]], "Output",
 CellChangeTimes->{{3.827206873612033*^9, 3.827206904393485*^9}, 
   3.827206961540756*^9, 3.8272275292183*^9, {3.827230115543693*^9, 
   3.827230134238694*^9}, 3.8272313347695*^9, 3.827314845595158*^9, 
   3.8275792864079857`*^9, 3.827770892307827*^9, 3.827906150985365*^9, 
   3.8279376393899927`*^9, 3.829151747434443*^9, 3.830272761552903*^9, 
   3.830336657159596*^9, 3.8305125195934353`*^9, 3.830595566647056*^9, 
   3.8335209349291573`*^9, 3.833527041853711*^9, 3.83394211020858*^9, 
   3.834418489476221*^9, 3.839516538003706*^9, 3.839517450253623*^9, 
   3.8395578532416697`*^9, 3.839580047892332*^9, 3.839911922530624*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"a865a44c-f8ad-4969-86b1-77d67e31f484"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Define matrix elements needed", "Subsection",
 CellChangeTimes->{{3.827306536719366*^9, 
  3.827306543259317*^9}},ExpressionUUID->"bd1a983b-271e-4d66-8e36-\
d29705e49320"],

Cell[TextData[Cell[BoxData[
 RowBox[{
  RowBox[{"The", " ", "Hamiltonian", " ", "matrix", "  ", "of", "  ", 
   FormBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], 
       SuperscriptBox["p", "2"], 
       SubscriptBox["\[Delta]", "\[Alpha]\[Beta]"]}], "+", 
      RowBox[{
       SubscriptBox["V", "\[Alpha]\[Beta]"], "(", "x", ")"}]}], ")"}],
    TraditionalForm], " ", "is", " ", "calculated", " ", "in", " ", "a", " ", 
   
   RowBox[{"h", ".", "osc", ".", " ", "basis"}]}], ";", " ", 
  RowBox[{
   RowBox[{
   "elements", " ", "are", " ", "calculated", " ", "using", " ", "Gauss"}], 
   "-", 
   RowBox[{"Hermite", " ", 
    RowBox[{"integration", "."}]}]}]}]], "Input",
 CellChangeTimes->{{3.8399120011968307`*^9, 
  3.8399120011977777`*^9}},ExpressionUUID->"3bd47c52-1af3-4bb8-b26b-\
73be92f906cf"]], "Text",
 CellChangeTimes->{{3.83991201698904*^9, 
  3.839912053308938*^9}},ExpressionUUID->"b1e1cd78-e8fc-4849-93e6-\
4e4ade4da648"],

Cell[BoxData[
 RowBox[{
  RowBox[{"kin", "[", 
   RowBox[{"n_", ",", "m_", ",", 
    RowBox[{"b_", ":", "1"}]}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", 
         SuperscriptBox["b", "2"]], 
        FractionBox["1", "4"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "n"}], "+", "1"}], ")"}]}], ",", 
       RowBox[{"n", "\[Equal]", "m"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"-", "1"}], "4"], 
        FractionBox["1", 
         SuperscriptBox["b", "2"]], 
        SqrtBox[
         RowBox[{"n", "(", 
          RowBox[{"n", "-", "1"}], ")"}]]}], ",", 
       RowBox[{"m", "\[Equal]", 
        RowBox[{"n", "-", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"-", "1"}], "4"], 
        FractionBox["1", 
         SuperscriptBox["b", "2"]], 
        SqrtBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"n", "+", "1"}], ")"}], 
          RowBox[{"(", 
           RowBox[{"n", "+", "2"}], ")"}]}]]}], ",", 
       RowBox[{"m", "\[Equal]", 
        RowBox[{"n", "+", "2"}]}]}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.827227722063505*^9, 3.827227861846601*^9}, {
  3.827229953482703*^9, 3.827229954893126*^9}, {3.8272299882454653`*^9, 
  3.827230007012973*^9}, {3.827230392718068*^9, 3.827230416001616*^9}, {
  3.83951673788447*^9, 3.8395167693601427`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"702ca629-f8e4-4f3a-83dd-abb934ef64fc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"hermiteorder", "=", "200"}]], "Input",
 CellChangeTimes->{{3.830596523187976*^9, 3.8305965325019827`*^9}, 
   3.8395173217766323`*^9, {3.8399119702160263`*^9, 
   3.8399119705032167`*^9}},ExpressionUUID->"70948c15-6e07-4712-9b34-\
51fb63a0d61a"],

Cell[BoxData["800"], "Output",
 CellChangeTimes->{3.830596585495966*^9, 3.833520942578951*^9, 
  3.833521430856059*^9, 3.833527049368681*^9, 3.833942117774276*^9, 
  3.8344184972010183`*^9, 3.8395174573955727`*^9, 3.839557861113554*^9, 
  3.8395800560534563`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"10e337fd-cc0f-436e-9a28-c448f2dda13f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"zeroes", "=", 
   RowBox[{"{", 
    RowBox[{"ToRules", "[", 
     RowBox[{"NRoots", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"HermiteH", "[", 
         RowBox[{"hermiteorder", ",", "x"}], "]"}], "\[Equal]", "0"}], ",", 
       "x", ",", 
       RowBox[{"PrecisionGoal", "->", "25"}]}], "]"}], "]"}], "}"}]}], ";", 
  RowBox[{"zerotab", "=", 
   RowBox[{"x", "/.", "zeroes"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.827592189952798*^9, 3.82759227294055*^9}, {
   3.827592398042284*^9, 3.827592408809407*^9}, {3.82759255080363*^9, 
   3.8275925592349243`*^9}, {3.827769729396237*^9, 3.827769776068088*^9}, {
   3.8277699571181707`*^9, 3.827769957501831*^9}, {3.830336582289247*^9, 
   3.8303365842890778`*^9}, 3.830596544386389*^9, 3.839517323881278*^9},
 CellLabel->"In[14]:=",ExpressionUUID->"fae31b6e-a0a6-4e29-8b30-702bc1f47a13"],

Cell[BoxData[
 RowBox[{
  RowBox[{"weights", "=", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", "=", "hermiteorder"}], "}"}], ",", 
     FractionBox[
      SqrtBox["\[Pi]"], 
      RowBox[{"n", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"HermiteH", "[", 
           RowBox[{
            RowBox[{"n", "-", "1"}], ",", "zerotab"}], "]"}], ")"}], "2"], 
        "/", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["2", 
           RowBox[{"n", "-", "1"}]], 
          RowBox[{"Gamma", "[", "n", "]"}]}], ")"}]}]}]]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8277697995242357`*^9, 3.8277699053618813`*^9}, {
   3.827769947462405*^9, 3.827769948157782*^9}, {3.8303365919456882`*^9, 
   3.830336593456842*^9}, {3.830596511658573*^9, 3.8305965127386303`*^9}, 
   3.83059654761514*^9, 3.8395173263850927`*^9},
 CellLabel->"In[15]:=",ExpressionUUID->"fe017a33-6577-4d7f-8b13-72ab6719fe30"],

Cell[BoxData[
 RowBox[{
  RowBox[{"threshold", "=", "0.3"}], ";", 
  RowBox[{"coupling", "=", "0.2"}], ";"}]], "Input",
 CellChangeTimes->{{3.839912072969625*^9, 3.839912085688167*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"a79cd89d-1202-43c5-b079-602928ebe0dc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"pot1", "[", "x_", "]"}], "=", 
  RowBox[{"-", 
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"Cosh", "[", "x", "]"}], "2"]]}]}]], "Input",
 CellChangeTimes->{{3.8395169543268757`*^9, 3.839516958385838*^9}, {
   3.8395170007656612`*^9, 3.839517018386384*^9}, 3.839517361546372*^9, {
   3.839586928456582*^9, 3.839586936143931*^9}, {3.8395871416346817`*^9, 
   3.839587144737548*^9}, 3.839587180070895*^9, 3.839587236943445*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"9671d86d-4fd7-41ab-b498-0719176f2180"],

Cell[BoxData[
 RowBox[{"-", 
  SuperscriptBox[
   RowBox[{"Sech", "[", "x", "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.839518057753993*^9, 3.839558446654147*^9, 
  3.839580708287096*^9, 3.839586941473722*^9, 3.839587146434466*^9, 
  3.839587181149754*^9, 3.8395872590255404`*^9, 3.83991212927535*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"a5fc72d1-3c92-4785-97e1-099ce5c11607"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"pot2", "[", "x_", "]"}], "=", 
  RowBox[{"threshold", "-", 
   FractionBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "threshold"}], ")"}], 
    SuperscriptBox[
     RowBox[{"Cosh", "[", "x", "]"}], "2"]]}]}]], "Input",
 CellChangeTimes->{{3.839587245998404*^9, 3.839587250238242*^9}, {
  3.8395995033438168`*^9, 3.839599514199356*^9}, {3.839912089848775*^9, 
  3.839912104180935*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"52b19e5b-e841-4edf-ae84-33d76470e929"],

Cell[BoxData[
 RowBox[{"0.3`", "\[VeryThinSpace]", "-", 
  RowBox[{"1.3`", " ", 
   SuperscriptBox[
    RowBox[{"Sech", "[", "x", "]"}], "2"]}]}]], "Output",
 CellChangeTimes->{3.839587260228421*^9, 3.839599519024032*^9, 
  3.8399121293067503`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"45a23df7-5618-43da-b603-3ed267addfa3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"poto", "[", "x_", "]"}], "=", 
  FractionBox["coupling", 
   SuperscriptBox[
    RowBox[{"Cosh", "[", "x", "]"}], "2"]]}]], "Input",
 CellChangeTimes->{{3.839587264571754*^9, 3.8395872769951677`*^9}, {
   3.839599492307995*^9, 3.839599496471546*^9}, 3.8396008441639977`*^9, {
   3.839912114853216*^9, 3.8399121229011927`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"7512730c-0353-4fa9-bf48-5dc81caa83e8"],

Cell[BoxData[
 RowBox[{"0.2`", " ", 
  SuperscriptBox[
   RowBox[{"Sech", "[", "x", "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.839587279350251*^9, 3.839599522062832*^9, 
  3.839600845142889*^9, 3.839912129341033*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"55f66722-5da8-4e32-8a66-1a6e331f195f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Attributes", "[", "pot", "]"}], "=", 
   RowBox[{"{", "Listable", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.839516984587256*^9, 3.839517014590205*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"3726e302-2df7-4cad-9a44-0180550503f4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"calcstr2", "[", 
   RowBox[{"b_", ",", "nbasis_", ",", 
    RowBox[{"\[Theta]_", ":", "0"}]}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"h1", ",", "od", ",", 
      RowBox[{"htab", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"HermiteH", "[", 
            RowBox[{"n", ",", "zerotab"}], "]"}], ")"}], "/", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["2", "n"], 
            RowBox[{"Gamma", "[", 
             RowBox[{"n", "+", "1"}], "]"}], 
            SqrtBox["\[Pi]"]}]]}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
        "]"}]}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"h1", "=", 
      RowBox[{"ArrayFlatten", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"kin", "[", 
               RowBox[{"n", ",", "m", ",", 
                RowBox[{"b", " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}]}], "]"}], "+", 
              RowBox[{"(", " ", 
               RowBox[{"Plus", "@@", 
                RowBox[{"(", 
                 RowBox[{"weights", " ", 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"m", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"pot1", "[", 
                   RowBox[{"b", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]], " ", 
                    "zerotab"}], "]"}]}], ")"}]}], ")"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", "nbasis", ",", "2"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
            "]"}], ",", 
           RowBox[{"od", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"(", " ", 
               RowBox[{"Plus", "@@", 
                RowBox[{"(", 
                 RowBox[{"weights", " ", 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"m", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"pot1", "[", 
                   RowBox[{"b", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]], " ", 
                    "zerotab"}], "]"}]}], ")"}]}], ")"}], ",", 
              RowBox[{"{", 
               RowBox[{"m", ",", "0", ",", "nbasis", ",", "2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
             "]"}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Transpose", "[", "od", "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"kin", "[", 
               RowBox[{"n", ",", "m", ",", 
                RowBox[{"b", " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}]}], "]"}], "+", 
              RowBox[{"(", " ", 
               RowBox[{"Plus", "@@", 
                RowBox[{"(", 
                 RowBox[{"weights", " ", 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"m", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"pot2", "[", 
                   RowBox[{"b", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]], " ", 
                    "zerotab"}], "]"}]}], ")"}]}], ")"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", "nbasis", ",", "2"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
            "]"}]}], "}"}]}], "}"}], "]"}]}], ";", 
     RowBox[{"Sort", "[", 
      RowBox[{"Eigenvalues", "[", "h1", "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.827921505492852*^9, 3.8279217184513483`*^9}, 
   3.8279222359582767`*^9, {3.827922303205577*^9, 3.827922343762274*^9}, {
   3.827922392134067*^9, 3.827922416914524*^9}, {3.830277744530764*^9, 
   3.830277747994871*^9}, {3.830277785695314*^9, 3.830277811331236*^9}, {
   3.8303577585870733`*^9, 3.830357760724546*^9}, {3.83951666621231*^9, 
   3.839516724452997*^9}, {3.839516774136973*^9, 3.839516782824095*^9}, {
   3.839516832673704*^9, 3.839516864933651*^9}, {3.839516897267642*^9, 
   3.839516947850292*^9}, {3.8395170343153276`*^9, 3.839517061366776*^9}, {
   3.839517107363599*^9, 3.839517159995708*^9}, {3.839517229708441*^9, 
   3.83951725644874*^9}, 3.83951739469419*^9, {3.8395872931438427`*^9, 
   3.8395874223050623`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"ac578d29-c6d4-45cb-8ed0-bc9949fcdc5b"],

Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"General", "::", "munfl"}], "]"}]], "Input",
 CellChangeTimes->{{3.8395183465189333`*^9, 3.8395183558657*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"e83c3a25-5dcd-4e7c-814f-12991a239d2e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dt", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Off", "[", 
       RowBox[{"General", "::", "munfl"}], "]"}], ";", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"b", "=", "2."}], "}"}], ",", 
        RowBox[{"ReIm", "/@", 
         RowBox[{"calcstr2", "[", 
          RowBox[{"b", ",", "70", ",", "\[Theta]"}], "]"}]}]}], "]"}]}], ",", 
     
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "0.", ",", 
       RowBox[{"5", 
        RowBox[{"\[Pi]", "/", "16"}]}], ",", 
       RowBox[{"\[Pi]", "/", "400"}]}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.839561602357821*^9, 3.839561604374125*^9}, {
   3.839562326213847*^9, 3.839562358585404*^9}, 3.839587470725461*^9, {
   3.839587564601701*^9, 3.839587567953515*^9}, {3.8395877329435987`*^9, 
   3.839587736307783*^9}, 3.839599970772353*^9, {3.83960032620774*^9, 
   3.8396003274949617`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"f4c8ef49-bebd-4b5a-b4bb-09f3d764f4ae"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"{", 
    RowBox[{"0.20284354115466316`", ",", 
     RowBox[{"-", "0.14017658008492676`"}]}], "}"}]}], ";", 
  RowBox[{"i1", "=", 
   RowBox[{"IntegerPart", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"ArcTan", "@@", "r1"}], ")"}]}], "/", 
      RowBox[{"(", 
       RowBox[{"\[Pi]", "/", "400"}], ")"}]}], "/", "2"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.839561784619576*^9, 3.8395617924476213`*^9}, {
  3.839561865176736*^9, 3.839561984949472*^9}, {3.839562838293874*^9, 
  3.839562838637496*^9}, {3.839599817295601*^9, 3.8395998197743483`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"b3735668-6590-49e0-8248-360629170b24"],

Cell[BoxData[
 RowBox[{
  RowBox[{"calcstr2a", "[", 
   RowBox[{"b_", ",", "nbasis_", ",", 
    RowBox[{"\[Theta]_", ":", "0"}]}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"h1", ",", "od", ",", 
      RowBox[{"htab", "=", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"HermiteH", "[", 
            RowBox[{"n", ",", "zerotab"}], "]"}], ")"}], "/", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["2", "n"], 
            RowBox[{"Gamma", "[", 
             RowBox[{"n", "+", "1"}], "]"}], 
            SqrtBox["\[Pi]"]}]]}], ",", 
         RowBox[{"{", 
          RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
        "]"}]}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"h1", "=", 
      RowBox[{"ArrayFlatten", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"kin", "[", 
               RowBox[{"n", ",", "m", ",", 
                RowBox[{"b", " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}]}], "]"}], "+", 
              RowBox[{"(", " ", 
               RowBox[{"Plus", "@@", 
                RowBox[{"(", 
                 RowBox[{"weights", " ", 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"m", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"pot1", "[", 
                   RowBox[{"b", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]], " ", 
                    "zerotab"}], "]"}]}], ")"}]}], ")"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", "nbasis", ",", "2"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
            "]"}], ",", 
           RowBox[{"od", "=", 
            RowBox[{"0", " ", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"(", " ", 
                RowBox[{"Plus", "@@", 
                 RowBox[{"(", 
                  RowBox[{"weights", " ", 
                   RowBox[{"htab", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                   RowBox[{"htab", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"m", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                   RowBox[{"pot1", "[", 
                    RowBox[{"b", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]], " ", 
                    "zerotab"}], "]"}]}], ")"}]}], ")"}], ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "nbasis", ",", "2"}], "}"}], ",", 
               
               RowBox[{"{", 
                RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
              "]"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Transpose", "[", "od", "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"kin", "[", 
               RowBox[{"n", ",", "m", ",", 
                RowBox[{"b", " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}]}], "]"}], "+", 
              RowBox[{"(", " ", 
               RowBox[{"Plus", "@@", 
                RowBox[{"(", 
                 RowBox[{"weights", " ", 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"n", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"htab", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"m", "/", "2"}], "+", "1"}], "]"}], "]"}], 
                  RowBox[{"pot2", "[", 
                   RowBox[{"b", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]], " ", 
                    "zerotab"}], "]"}]}], ")"}]}], ")"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", "nbasis", ",", "2"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"n", ",", "0", ",", "nbasis", ",", "2"}], "}"}]}], 
            "]"}]}], "}"}]}], "}"}], "]"}]}], ";", 
     RowBox[{"Sort", "[", 
      RowBox[{"Eigenvalues", "[", "h1", "]"}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.839600210564129*^9, 3.839600220444331*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"315c111f-3b63-486a-91f2-c5168f624ebf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"pot1", "[", "x", "]"}], ",", 
     RowBox[{"pot2", "[", "x", "]"}], ",", 
     RowBox[{"poto", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"Frame", "->", "True"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"FontSize", "\[Rule]", "24"}], "]"}]}], ",", 
   RowBox[{"FrameStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Thick", ",", "Black"}], "]"}]}], " ", ",", 
   RowBox[{"FrameTicksStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Thick", ",", "Black"}], "]"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<V\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(V\), \(11\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(V\), \(22\)]\)\>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(V\), \(12\)]\)\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.83960072964746*^9, 3.8396007685147133`*^9}, {
  3.8396012013125763`*^9, 3.83960126741995*^9}, {3.839912385951796*^9, 
  3.8399124143248262`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"e2744a35-c9c2-4c83-9bb2-d386aabb5483"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{{{}, {}, 
       TagBox[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Thickness[Large]], 
         LineBox[CompressedData["
1:eJw1mnc411/0wO09P5/KaJGZjIwo5P0uMjKSZGRlJkQhlFEkCckOZe+VmRDO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          "]]}, Annotation[#, "Charting`Private`Tag$29534#1"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6], 
          Thickness[Large]], 
         LineBox[CompressedData["
1:eJw12nk8Fd//OHA72e+9iWihIhQKkdBrpMg7CRXSYldJkj0kIUlCRCmVpZAk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          "]]}, Annotation[#, "Charting`Private`Tag$29534#2"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          RGBColor[0.560181, 0.691569, 0.194885], 
          AbsoluteThickness[1.6], 
          Thickness[Large]], 
         LineBox[CompressedData["
1:eJw1mnk01k/0x+3rY3meJ9m+oSyJ7NKC7hRZShGyhGRNkoQsWbKFkH2PrMm+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          "]]}, 
        Annotation[#, "Charting`Private`Tag$29534#3"]& ]}}, {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.05], 
        Scaled[0.05]}}, PlotRangeClipping -> True, ImagePadding -> All, 
     DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, DisplayFunction :> 
     Identity, Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox["\"V\"", TraditionalForm], None}, {
        FormBox["\"x\"", TraditionalForm], None}}, FrameStyle -> Directive[
       Thickness[Large], 
       GrayLevel[0]], 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     FrameTicksStyle -> Directive[
       Thickness[Large], 
       GrayLevel[0]], GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], ImageSize -> Large, LabelStyle -> 
     Directive[FontSize -> 24], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, 
     PlotRange -> {{-5, 5}, {-0.9999994076419914, 0.29976394170343146`}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(V\\), \\(11\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(V\\), \\(22\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(V\\), \\(12\\)]\\)\""}, "LineLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
          Directive[FontSize -> 24], FontFamily -> "Arial"}, Background -> 
         Automatic, StripOnInput -> False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.560181, 0.691569, 0.194885], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.37345400000000006`, 0.461046, 0.12992333333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.560181`", ",", "0.691569`", ",", "0.194885`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.560181, 0.691569, 0.194885]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.560181, 0.691569, 0.194885], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}]}], "}"}],
            ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"Directive", "[", 
               RowBox[{"FontSize", "\[Rule]", "24"}], "]"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.8399124152365828`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"f830d41c-dd2f-490c-a7f2-47fa6d139555"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"dt", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.12"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "0.17"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Frame", "\[Rule]", "True"}], ",", 
       RowBox[{"Axes", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"True", ",", "True"}], "}"}]}], ",", 
       RowBox[{"AxesOrigin", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
       RowBox[{"PlotMarkers", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", 
          RowBox[{"Offset", "[", "10", "]"}]}], "}"}]}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
       RowBox[{"LabelStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"FontSize", "\[Rule]", "24"}], "]"}]}], ",", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"Thick", ",", "Black"}], "]"}]}], " ", ",", 
       RowBox[{"FrameTicksStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"Thick", ",", "Black"}], "]"}]}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Re(E)\>\"", ",", "\"\<Im(E)\>\""}], "}"}]}], " ", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{
          RowBox[{"\"\<\[Theta]=\>\"", "<>", 
           RowBox[{"ToString", "[", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"Round", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"i", "-", "1"}], ")"}], " ", 
                 RowBox[{"\[Pi]", "/", "400."}]}], ",", "0.01"}], "]"}], ",", 
              
              RowBox[{"{", 
               RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}]}], ",", 
          RowBox[{"FontColor", "\[Rule]", "Black"}], ",", " ", 
          RowBox[{"FontSize", "\[Rule]", "30"}]}], "]"}]}]}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"i", ">", " ", 
            RowBox[{"i1", "+", "5"}]}], "\[And]", 
           RowBox[{"i", "<", "120"}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Circle", "[", 
             RowBox[{"r1", ",", "0.02"}], "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"r1", "+", 
                RowBox[{"{", 
                 RowBox[{"0.1", ",", 
                  RowBox[{"-", "0.1"}]}], "}"}]}], ",", 
               RowBox[{"r1", "+", 
                RowBox[{"{", 
                 RowBox[{"0.01", ",", 
                  RowBox[{"-", "0.01"}]}], "}"}]}]}], "}"}], "]"}]}], "}"}], 
          ",", 
          RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "dt", "]"}], ",", "1"}], "}"}], ",", 
   RowBox[{"DisplayAllSteps", "\[Rule]", "True"}], ",", 
   RowBox[{"AnimationRate", "\[Rule]", "3"}], ",", 
   RowBox[{"AnimationRunning", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.839561609431061*^9, 3.839561655882387*^9}, {
   3.8395617004509363`*^9, 3.839561751399825*^9}, {3.8395620325107803`*^9, 
   3.8395622147720957`*^9}, {3.8395623101691113`*^9, 3.839562311272793*^9}, {
   3.839562768606373*^9, 3.839562769814458*^9}, {3.839562811657763*^9, 
   3.8395628175077868`*^9}, {3.83956289454277*^9, 3.8395629059125566`*^9}, {
   3.839562994942774*^9, 3.839563038875155*^9}, {3.839563577599442*^9, 
   3.8395636178093443`*^9}, {3.8395642537978067`*^9, 
   3.8395643744132223`*^9}, {3.839564702020565*^9, 3.8395647181442537`*^9}, {
   3.8395647797230167`*^9, 3.839564782807178*^9}, {3.839564818243001*^9, 
   3.839564827560746*^9}, {3.8395650994271317`*^9, 3.839565107316427*^9}, {
   3.839565252859625*^9, 3.839565297932106*^9}, {3.839565573358891*^9, 
   3.839565575361063*^9}, {3.839565836806397*^9, 3.839565875304092*^9}, {
   3.839565985423499*^9, 3.839566106266687*^9}, {3.839566137608425*^9, 
   3.839566163966034*^9}, {3.8395662080007153`*^9, 3.8395662753133*^9}, {
   3.839566838899067*^9, 3.839566915105298*^9}, {3.839566945275764*^9, 
   3.839566971992221*^9}, {3.8395670078645163`*^9, 3.839567035436019*^9}, {
   3.83956707704068*^9, 3.8395670996606407`*^9}, {3.83956713393784*^9, 
   3.839567181741213*^9}, 3.839567228694511*^9, {3.83959941508501*^9, 
   3.839599429491872*^9}, {3.8395998606464252`*^9, 3.839599861936223*^9}, {
   3.8396009489085627`*^9, 3.83960094944132*^9}, {3.839601037769804*^9, 
   3.839601043438833*^9}, {3.839601119038678*^9, 3.8396011300589933`*^9}, {
   3.839912471957478*^9, 3.839912483358934*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"f6e58df9-8153-4063-8221-252978731ce8"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 23, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 126, 1}}, Typeset`size$$ = {
    634., {322., 328.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        ListPlot[
         Part[$CellContext`dt, $CellContext`i$$], 
         PlotRange -> {{-0.12, 1}, {-1, 0.17}}, Frame -> True, 
         Axes -> {True, True}, AxesOrigin -> {0, 0}, AspectRatio -> Automatic,
          PlotMarkers -> {Automatic, 
           Offset[10]}, ImageSize -> Large, LabelStyle -> 
         Directive[FontSize -> 24], FrameStyle -> Directive[Thick, Black], 
         FrameTicksStyle -> Directive[Thick, Black], 
         FrameLabel -> {"Re(E)", "Im(E)"}, PlotLabel -> Style[
           StringJoin["\[Theta]=", 
            ToString[
             NumberForm[
              Round[($CellContext`i$$ - 1) (Pi/400.), 0.01], {3, 2}]]], 
           FontColor -> Black, FontSize -> 30]], 
        Graphics[{Red, 
          If[
           
           And[$CellContext`i$$ > $CellContext`i1 + 5, $CellContext`i$$ < 
            120], {
            Circle[$CellContext`r1, 0.02], 
            
            Arrow[{$CellContext`r1 + {0.1, -0.1}, $CellContext`r1 + {
               0.01, -0.01}}]}, {}]}]], 
      "Specifications" :> {{$CellContext`i$$, 1, 126, 1, DisplayAllSteps -> 
         True, AnimationRate -> 3, AnimationRunning -> False, 
         AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, DefaultBaseStyle -> 
        "Animate", DefaultLabelStyle -> "AnimateLabel", SynchronousUpdating -> 
        True, ShrinkingDelay -> 10.}, "DefaultOptions" :> {}],
     ImageSizeCache->{685., {362., 368.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Animate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.839564277861902*^9, {3.839564354342779*^9, 3.8395643750739594`*^9}, {
   3.8395647034308968`*^9, 3.8395647188310413`*^9}, 3.839564828883548*^9, 
   3.8395651422547607`*^9, {3.8395652609392757`*^9, 3.839565298290393*^9}, {
   3.839565851686955*^9, 3.839565876197769*^9}, {3.839565987478631*^9, 
   3.8395661070862637`*^9}, 3.839566139394424*^9, 3.839566209204047*^9, 
   3.8395662437003727`*^9, 3.839566276112172*^9, 3.839566884445383*^9, {
   3.8395669171794167`*^9, 3.839566972388997*^9}, {3.839567011010067*^9, 
   3.8395670366851673`*^9}, {3.839567081425264*^9, 3.839567100410304*^9}, 
   3.8395671826304083`*^9, 3.8395672310304937`*^9, 3.839580914948147*^9, 
   3.839599406416448*^9, 3.839599436868483*^9, 3.8395996435761843`*^9, 
   3.839599863771831*^9, 3.839600928563409*^9, 3.8396009829799213`*^9, 
   3.839601045532196*^9, {3.839601122522277*^9, 3.839601131145233*^9}, 
   3.839912316551269*^9, 3.8399124841408367`*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"2bc46585-51b7-4f37-96fc-0626c5b2b56e"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Export", "Subsubsection",
 CellChangeTimes->{{3.8399124405438843`*^9, 
  3.8399124416557617`*^9}},ExpressionUUID->"ecbfa43b-f78e-4e09-a0db-\
9cfd580e6202"],

Cell[BoxData[
 RowBox[{
  RowBox[{"anim", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{
       RowBox[{"ListPlot", "[", 
        RowBox[{
         RowBox[{"dt", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "0.12"}], ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0.17"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"Axes", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"True", ",", "True"}], "}"}]}], ",", 
         RowBox[{"AxesOrigin", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"PlotMarkers", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", 
            RowBox[{"Offset", "[", "10", "]"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "Large"}], ",", 
         RowBox[{"LabelStyle", "\[Rule]", 
          RowBox[{"Directive", "[", 
           RowBox[{"FontSize", "\[Rule]", "24"}], "]"}]}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Black"}], "]"}]}], " ", ",", 
         RowBox[{"FrameTicksStyle", "\[Rule]", 
          RowBox[{"Directive", "[", 
           RowBox[{"Thick", ",", "Black"}], "]"}]}], ",", 
         RowBox[{"FrameLabel", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<Re(E)\>\"", ",", "\"\<Im(E)\>\""}], "}"}]}], " ", ",", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\[Theta]=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"Round", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], " ", 
                   RowBox[{"\[Pi]", "/", "400."}]}], ",", "0.01"}], "]"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}]}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Black"}], ",", " ", 
            RowBox[{"FontSize", "\[Rule]", "30"}]}], "]"}]}]}], "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{"Red", ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"i", ">", " ", 
              RowBox[{"i1", "+", "5"}]}], "\[And]", 
             RowBox[{"i", "<", "120"}]}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Circle", "[", 
               RowBox[{"r1", ",", "0.02"}], "]"}], ",", 
              RowBox[{"Arrow", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"r1", "+", 
                  RowBox[{"{", 
                   RowBox[{"0.1", ",", 
                    RowBox[{"-", "0.1"}]}], "}"}]}], ",", 
                 RowBox[{"r1", "+", 
                  RowBox[{"{", 
                   RowBox[{"0.01", ",", 
                    RowBox[{"-", "0.01"}]}], "}"}]}]}], "}"}], "]"}]}], "}"}],
             ",", 
            RowBox[{"{", "}"}]}], "]"}]}], "}"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "dt", "]"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.839565644343421*^9, 3.839565660395944*^9}, {
   3.8395663279402246`*^9, 3.839566347112352*^9}, 3.839567243272794*^9, 
   3.839601355643057*^9},
 CellLabel->"In[97]:=",ExpressionUUID->"bfe70eb8-833e-42da-b431-74e6d59c6b7b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
  RowBox[{"Export", "[", 
   RowBox[{"\"\<pots.mp4\>\"", ",", "anim", ",", 
    RowBox[{"FrameRate", "\[Rule]", "10"}], ",", 
    RowBox[{"VideoEncoding", "\[Rule]", "\"\<MJPEG\>\""}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.839564888391588*^9, 3.8395649130238543`*^9}, {
   3.83956537706068*^9, 3.8395654172720547`*^9}, {3.839565470651615*^9, 
   3.839565471721527*^9}, {3.83956552063587*^9, 3.839565533041355*^9}, 
   3.8395656714912367`*^9, {3.839566654005677*^9, 3.839566668075754*^9}, {
   3.839580141143384*^9, 3.839580143807341*^9}, {3.8395807590506487`*^9, 
   3.839580764600799*^9}, {3.839580898968361*^9, 3.839580913870014*^9}, {
   3.839581073904395*^9, 3.839581074559764*^9}, {3.839581541536167*^9, 
   3.839581542919649*^9}, {3.839601365681635*^9, 3.839601368247959*^9}},
 CellLabel->"In[101]:=",
 CellID->1516078609,ExpressionUUID->"02205e95-8712-47d4-88aa-d5f98f420ad9"],

Cell[BoxData["\<\"pots.mp4\"\>"], "Output",
 CellChangeTimes->{
  3.839564934944564*^9, 3.839565318116551*^9, {3.83956540531701*^9, 
   3.8395654211742897`*^9}, 3.8395654775027933`*^9, {3.839565523154272*^9, 
   3.8395655437506437`*^9}, 3.839565682964995*^9, 3.839566359724082*^9, 
   3.8395666767580442`*^9, 3.839567258525981*^9, 3.839580920143187*^9, 
   3.8395810837662287`*^9, 3.839581552106216*^9, 3.839601389022893*^9, 
   3.839602327275146*^9},
 CellLabel->
  "Out[101]=",ExpressionUUID->"d375165c-fb53-4ab2-8854-d526fe558c27"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<pots.mov\>\"", ",", "anim", ",", 
   RowBox[{"FrameRate", "\[Rule]", "10"}], ",", 
   RowBox[{"VideoEncoding", "\[Rule]", "\"\<MJPEG\>\""}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8395811335055723`*^9, 3.839581144355597*^9}, {
  3.839581555272545*^9, 3.839581566517791*^9}, {3.839602285194772*^9, 
  3.839602287504614*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"1c48bd53-0cd9-42a9-9fff-37b57017b95b"],

Cell[BoxData["\<\"pots.mov\"\>"], "Output",
 CellChangeTimes->{
  3.839581154030198*^9, 3.839581575859906*^9, {3.839602287704105*^9, 
   3.83960229945409*^9}},
 CellLabel->
  "Out[100]=",ExpressionUUID->"a8f5eb25-f757-49b7-8bc2-c9a492cd6060"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{807, 911},
WindowMargins->{{Automatic, -857}, {-70, Automatic}},
Magnification:>1.1 Inherited,
FrontEndVersion->"12.2 for Linux x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"e8daeb21-1a3a-4aad-8161-1f4925ec0127"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 193, 3, 175, "Title",ExpressionUUID->"168ab099-da10-4ede-a5da-2f082466b574"],
Cell[776, 27, 173, 3, 58, "Subtitle",ExpressionUUID->"95e8499d-973c-46dd-859d-3bfa69aa8e07"],
Cell[CellGroupData[{
Cell[974, 34, 174, 3, 73, "Section",ExpressionUUID->"8e81c612-c136-4c4b-b0d7-b730fa7a38f7"],
Cell[CellGroupData[{
Cell[1173, 41, 908, 26, 58, "Input",ExpressionUUID->"2236accd-f04b-435a-b0be-1260b4af2428"],
Cell[2084, 69, 1208, 28, 80, "Output",ExpressionUUID->"a865a44c-f8ad-4969-86b1-77d67e31f484"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3329, 102, 177, 3, 59, "Subsection",ExpressionUUID->"bd1a983b-271e-4d66-8e36-d29705e49320"],
Cell[3509, 107, 975, 26, 63, "Text",ExpressionUUID->"b1e1cd78-e8fc-4849-93e6-4e4ade4da648"],
Cell[4487, 135, 1627, 49, 122, "Input",ExpressionUUID->"702ca629-f8e4-4f3a-83dd-abb934ef64fc"],
Cell[CellGroupData[{
Cell[6139, 188, 269, 5, 33, "Input",ExpressionUUID->"70948c15-6e07-4712-9b34-51fb63a0d61a"],
Cell[6411, 195, 342, 5, 37, "Output",ExpressionUUID->"10e337fd-cc0f-436e-9a28-c448f2dda13f"]
}, Open  ]],
Cell[6768, 203, 880, 19, 57, "Input",ExpressionUUID->"fae31b6e-a0a6-4e29-8b30-702bc1f47a13"],
Cell[7651, 224, 980, 27, 64, "Input",ExpressionUUID->"fe017a33-6577-4d7f-8b13-72ab6719fe30"],
Cell[8634, 253, 264, 5, 33, "Input",ExpressionUUID->"a79cd89d-1202-43c5-b079-602928ebe0dc"],
Cell[CellGroupData[{
Cell[8923, 262, 548, 11, 56, "Input",ExpressionUUID->"9671d86d-4fd7-41ab-b498-0719176f2180"],
Cell[9474, 275, 383, 7, 37, "Output",ExpressionUUID->"a5fc72d1-3c92-4785-97e1-099ce5c11607"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9894, 287, 498, 12, 57, "Input",ExpressionUUID->"52b19e5b-e841-4edf-ae84-33d76470e929"],
Cell[10395, 301, 327, 7, 37, "Output",ExpressionUUID->"45a23df7-5618-43da-b603-3ed267addfa3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10759, 313, 440, 9, 58, "Input",ExpressionUUID->"7512730c-0353-4fa9-bf48-5dc81caa83e8"],
Cell[11202, 324, 299, 6, 37, "Output",ExpressionUUID->"55f66722-5da8-4e32-8a66-1a6e331f195f"]
}, Open  ]],
Cell[11516, 333, 283, 6, 33, "Input",ExpressionUUID->"3726e302-2df7-4cad-9a44-0180550503f4"],
Cell[11802, 341, 5716, 133, 483, "Input",ExpressionUUID->"ac578d29-c6d4-45cb-8ed0-bc9949fcdc5b"],
Cell[17521, 476, 235, 4, 33, "Input",ExpressionUUID->"e83c3a25-5dcd-4e7c-814f-12991a239d2e"],
Cell[17759, 482, 1050, 26, 57, "Input",ExpressionUUID->"f4c8ef49-bebd-4b5a-b4bb-09f3d764f4ae"],
Cell[18812, 510, 743, 19, 57, "Input",ExpressionUUID->"b3735668-6590-49e0-8248-360629170b24"],
Cell[19558, 531, 5092, 125, 506, "Input",ExpressionUUID->"315c111f-3b63-486a-91f2-c5168f624ebf"],
Cell[CellGroupData[{
Cell[24675, 660, 1469, 36, 103, "Input",ExpressionUUID->"e2744a35-c9c2-4c83-9bb2-d386aabb5483"],
Cell[26147, 698, 55222, 988, 425, "Output",ExpressionUUID->"f830d41c-dd2f-490c-a7f2-47fa6d139555"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81406, 1691, 5238, 115, 333, "Input",ExpressionUUID->"f6e58df9-8153-4063-8221-252978731ce8"],
Cell[86647, 1808, 3878, 75, 751, "Output",ExpressionUUID->"2bc46585-51b7-4f37-96fc-0626c5b2b56e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90562, 1888, 161, 3, 48, "Subsubsection",ExpressionUUID->"ecbfa43b-f78e-4e09-a0db-9cfd580e6202"],
Cell[90726, 1893, 3877, 96, 333, "Input",ExpressionUUID->"bfe70eb8-833e-42da-b431-74e6d59c6b7b"],
Cell[CellGroupData[{
Cell[94628, 1993, 1003, 18, 57, "Input",ExpressionUUID->"02205e95-8712-47d4-88aa-d5f98f420ad9",
 CellID->1516078609],
Cell[95634, 2013, 534, 9, 37, "Output",ExpressionUUID->"d375165c-fb53-4ab2-8854-d526fe558c27"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96205, 2027, 462, 9, 33, "Input",ExpressionUUID->"1c48bd53-0cd9-42a9-9fff-37b57017b95b"],
Cell[96670, 2038, 242, 5, 37, "Output",ExpressionUUID->"a8f5eb25-f757-49b7-8bc2-c9a492cd6060"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

